import { UserData } from "any-hooks/types/user";
import { useState } from "vue-vulcan";

/** 当前客户端用户的基本信息(含token)  */
export function useAuthData() {
	const [authData, setAuth] = useState<UserData>(null, {storage: 'custome', key: 'auth'});	

	return {
		authData,
		setAuth
	}
}